Public Class Form1

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim web As New System.Net.WebClient() '验证帐号
        web.Headers.Add("Content-Type", "application/x-www-form-urlencoded")
        Dim d As Byte() = System.Text.Encoding.UTF8.GetBytes("userid=企业ID&account=用户名&password=密码") '企业ID（userid）登陆后台：http://cloud.yunsms.cn 通过“客户管理”-“我的信息”查询。
        Dim res As Byte() = web.UploadData("http://116.62.155.121:8888/sms.aspx?action=overage", "POST", d)
        TextBox3.Text = System.Text.Encoding.Default.GetString(res)
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Dim web As New System.Net.WebClient() '查询余额
        web.Headers.Add("Content-Type", "application/x-www-form-urlencoded")
        Dim d As Byte() = System.Text.Encoding.UTF8.GetBytes("userid=企业ID&account=用户名&password=密码")
        Dim res As Byte() = web.UploadData("http://116.62.155.121:8888/sms.aspx?action=overage", "POST", d)
        TextBox3.Text = System.Text.Encoding.Default.GetString(res)
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Dim web As New System.Net.WebClient() '发送短信
        web.Headers.Add("Content-Type", "application/x-www-form-urlencoded")
        Dim d As Byte() = System.Text.Encoding.UTF8.GetBytes("id=test&pwd=test&content=" + TextBox2.Text + "&mobile=" + TextBox1.Text)
        Dim res As Byte() = web.UploadData("http://116.62.155.121:8888/sms.aspx?action=send", "POST", d) 'rt=json时返回json,默认xml格式。编码不同，提交入口不同。sms.aspx为utf-8提交入口，smsGBK.aspx为GBK提交入口，详见接口文档说明
        TextBox3.Text = System.Text.Encoding.Default.GetString(res)
    End Sub
End Class



'接入注意事项：（常见问题）
'				1.内容乱码						------->>>>>> 编码不同，提交入口不同。sms.aspx为utf-8提交入口，smsGBK.aspx为GBK提交入口，如两个提交入口均乱码，重新转换一下文件编码。
'				2.提示短信必须带【】格式签名	------->>>>>> 提交入口不正确导致乱码，系统识别不到【】签名；或发送短信时未带前缀签名；或定时短信sendtime格式错误，sendtime可为空，不能传0，示例中已去除。
'				3.返回错误0						------->>>>>> 定时短信sendtime格式错误，sendtime可为空或具体时间，不能传0，示例中已去除。
'				4.程序异常，请重试或联系客服！从字符串转换日期和/或时间时，转换失败。------->>>>>> 定时短信sendtime格式错误，sendtime可为空或具体时间，不能传0，示例中已去除。
'				5.其他注意事项详见接口文档说明文件。